Create Webhook

We use webhooks to let your application know when events happen, such as receiving an SMS message. When the event occurs, the system makes an HTTP request (usually a POST) to the URL you configured for the webhook. The request will include details of the event such as the incoming phone number or the body of an incoming message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
deprecated

Event type string values:

  • LINK_HIT: Link hit event when a recipient visits a tracked link
  • OPT_OUT: Opt out event when a recipient visits an opt-out link or by sending a message with the text "STOP"
  • MMS_STATUS: Status change for a MMS messages. Currently only comprised of internal statuses (sent, failed)
  • SMS_INBOUND: Inbound SMS sent from a recipient back to the sender
  • SMS_STATUS: Status change for a SMS message. Includes internal statuses (sent, failed) and delivery receipts (soft_bounce, hard_bounce, delivered, undelivered). Multiple status events can be triggered for a single message
  • MMS_INBOUND: Inbound MMS sent from a recipient back to the sender
  • WHATSAPP_STATUS: Status change for Whatsapp messages
  • WHATSAPP_INBOUND: Inbound Whatsapp sent from a recipient back to the sender
  • RCS_STATUS: Status change for RCS messages
  • RCS_INBOUND: Inbound RCS sent from a recipient back to the sender
filter
object

Filter to apply to webhook events. The filters are applied differently based on the event type:

  • For status events (SMS_STATUS, MMS_STATUS, etc.): sender, status, message_ref, and campaign_id filters are applied to the status payload.
  • For LINK_HIT events: sender and message_ref filters are applied to the source_message in the link-hit payload.
  • For OPT_OUT events: sender and message_ref filters are applied to the source_message in the opt-out payload.
  • For inbound events (SMS_INBOUND, MMS_INBOUND, etc.): sender filter is applied to the recipient field (the sender address that received the inbound message), while message_ref and campaign_id filters are applied to last_message if available.

Within each filter array (e.g., sender, status, message_ref), the conditions are combined using an OR logic. For example, if multiple senders are specified, the webhook will trigger if the event matches any of the specified senders. Between different filters (e.g., sender and status), the conditions are combined using an AND logic. For example, the webhook will trigger only if the event matches both the specified sender and the specified status.

string
required
length between 2 and 100

Name of the webhook

uri
required

URL (https) that accepts JSON encoded POST requests

integer

Rate limit for your URL in requests per second. Max 10,000/sec. If set to 0 or not specified, the default system limit will be applied.

boolean
deprecated

Deprecated. Will be removed in a future version.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json